Office 2016 – Outlook and Exchange Compatibility

outlook1

With the recent release of Microsoft Office 2016 and the subsequent release to volume licence users on VLSC, a lot of people will be rushing into upgrading to the latest version.

However, be careful with compatibility with your corporate Exchange servers…

Outlook 2016 will work with the following Exchange Server versions:

  • Exchange Server 2016
  • Exchange Server 2013
  • Exchange Server 2010

But if your corporate Exchange server is running 2007 or 2003 or maybe even lower than that then you will receive the following error when you try and open Outlook 2016:

If your Exchange server is not compatible but you still want to use Office 2016, one option available to you is to install all features of Office 2016 apart from Outlook and then install Outlook 2013 separately. This will give you compatibility for older versions of Exchange but Word, Excel etc will be on the latest version.

COMMENTS

If you have any questions or comments on this post then please feel free to leave us a message below using our comments system.


You might also like...

Leave us a message...

This site uses Akismet to reduce spam. Learn how your comment data is processed.